StackOverflow
@ivelin.peychev wrote: I always wondered what does StackOverflow means. Does anyone have any suggestion how to fix the code below? import clr clr.AddReference("mscorlib") import System from...
View ArticleHow to automatically extract mesh ID number and print as text?
@Julio wrote: Hey guys, I’m searching for a way (via scripting or Grasshopper) to automatically extract mesh IDs as text and position it beside the corresponding mesh. This is my actual situation: I...
View ArticleMesh Surface Make Polysurface
@fatihylmz.1923 wrote: A script that converts a mesh surface to polysurface or surface is required. Can you help me with this? Mesh surface can not polysurface. Posts: 1 Participants: 1 Read full topic
View ArticleDynamically modify command history output
@vincentfs wrote: Hi everyone, I don’t know whether anyone has thought about making an animated command line output like the those we saw in DOS era. Is there a rhinocommon feature that can...
View ArticleAssign color to a curve : how?
@seghierkhaled wrote: Hello I asked a question in Grasshopper forum and i searched a lot but i don’t find an answer. I create a line with GhPython, how i can assign color to it? Posts: 1 Participants:...
View ArticleMerging Point Clouds via Python
@mlukasz87 wrote: Dear Rhino Users and Developers, I continue working on point clouds. I am trying to find a way that will merge or append few point clouds into one, and preserve their colour with...
View ArticleHow to get DPI Scale during DynamicDraw?
@spineribjoint1 wrote: I would like to get the factor, used to scale the text size (Draw2dText) and positions. For example text in the code below. from Rhino import * from Rhino.DocObjects import *...
View ArticleScript for Naming Imported STLs
@Jonathan_Hutchinson1 wrote: I’m trying to do a script to import a number of STLs, and for each one imported to name it as the filename. browsed = rs.BrowseForFolder(title = "Auto-name Imported Files...
View ArticleQuestion about type hint
@seghierkhaled wrote: I try to compile a component which calculate some Trigonometric functions. The input must be in degree or radians (user choose) but type hint don’t have angle in the list Is...
View ArticleHow to add MouseWheel event to Eto control
@Terry_Chappell wrote: @dale, I have a simple Eto form that we have been using to learn about Eto Forms. I want to add a MouseWheel event to a ComboBox control which enabling scrolling of the...
View ArticleDon't exit loop when ESC button press
@xiix.xoox wrote: import rhinoscriptsyntax as rs import scriptcontext as sc while True: Value=rs.GetString("Input:") if sc.escape_test(False): print "ESC pressed " break print Value I run this script...
View ArticlePoint on Curve, random
@lbrooks wrote: I am trying to generate some shapes, and I am stuck with the rs.GetPointOnCurve function. I’d like to randomly generate a set of points that are on a curve, but I can’t figure out how...
View ArticleProblem of duplicated result
@seghierkhaled wrote: Hello; the problem always happens when i use many inputs in x input: 4 curves (item access) in y input: 2 surfaces (item access) The result: a >> 4 curves divides b...
View ArticleExtend Surface all directions
@nk1 wrote: hello, I am trying to extend a surface in ALL directions by a fixed length. But some how i can not get it working. I found this to extend in 1 direction. but need it for al edges at ones....
View ArticleGet data from treegridview
@timcastelijn wrote: hi there, i have created an interface with the threegridview from ETO controls. The fields in the TreeGridView are editable. Is there a way to get the edited data from the...
View ArticleCannot set background color of ComboBox in Eto Forms
@Terry_Chappell wrote: The attached, simple script for a form has a ComboBox on the top-right (The list). I want to change its background color. But nothing changes when I add this line to its control...
View ArticleEto.Drawing.Graphics Slow - Clear() or FillRectangle()
@spineribjoint1 wrote: I am trying to create color swatches for each layer. I will use them in nodes of a TreeGridView. For some reason code below takes few seconds to execute. Slowdown is at the...
View ArticleEto.TreeGridView - Keyboard Cell Focus
@spineribjoint1 wrote: I can use SelectedItem to have the specific node/row selected but the keyboard focus always defaults to first cell in TreeGridView. Is there a way to focus on specific cell on...
View ArticleBest way to improve the speed of a Python script
@lexi wrote: Dear all, I am all new to Rhino / Grasshopper and would like to know how to improve the speed of a Python script. I am particularly interested in 2 options: using Numba and its @jit...
View ArticleBake to Layer error + Curve.PointAt not working in 'Brep.CreateFromLoft'
@brobes05 wrote: I am getting some odd behavior (possibly on my end) from two aspects of this script. First, the rg.Curve.PointAt method should be returning two Point3d objects which I am using in the...
View Article